<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { onClickOutside } from '@vueuse/core'
import { useUIStore } from '~~/store/UI'

interface WarningModelProps {
  meetingNumber?: string
  text?: string
  message?: string
}

const { text, meetingNumber, message } = defineProps<WarningModelProps>()
const emit = defineEmits(['close', 'accept'])
const target2 = ref(null)
// onClickOutside(target2, () => emit('close'))
const ui = useUIStore()
const { isMobile } = storeToRefs(ui)
</script>

<template>
  <div class="absolute top-0 left-0 w-full h-full  z-1000">
    <div
      ref="target2"
      class="absolute bg-white border border-gray-600 top-1/2 left-1/2 translate-x--1/2 translate-y--1/2 z-[1000] text-center text-lg px-6 py-2 rounded-lg dark:text-black"
      :class="{ 'w-[95vw]': isMobile }"
    >
      <p class="text-lg pt-2" :class="{ 'whitespace-nowrap': !isMobile }">
        {{ text ? text : "よろしいですか?" }}
      </p>
      <p v-if="message" class="text-lg p-2 leading-10">
        {{ meetingNumber }} <span class="ml-1">{{ message ? message : "" }}</span>
      </p>
      <div class="flex justify-around mt-4 gap-2">
        <button
          class="border-blue-500 text-blue-500 border px-4 py-1 rounded whitespace-nowrap"
          @click="() => emit('close')"
        >
          いいえ
        </button>
        <button class="bg-blue-500 px-4 py-1 rounded text-white whitespace-nowrap" @click="() => emit('accept')">
          はい
        </button>
      </div>
    </div>
  </div>
</template>

<style scoped></style>

